# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: workflow_test_ping.proto
# Protobuf Python Version: 5.26.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x18workflow_test_ping.proto\x12\x1a\x63om.gitlab.duoworkflowtest\"+\n\x08PingPing\x12\x0c\n\x04time\x18\x01 \x01(\x03\x12\x11\n\tpongCount\x18\x02 \x01(\x03\"+\n\x08PongPong\x12\x0c\n\x04time\x18\x01 \x01(\x03\x12\x11\n\tpingCount\x18\x02 \x01(\x03\x32n\n\x10WorkflowTestPing\x12Z\n\x08PingPong\x12$.com.gitlab.duoworkflowtest.PingPing\x1a$.com.gitlab.duoworkflowtest.PongPong(\x01\x30\x01\x42\x08Z\x06./mainb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'workflow_test_ping_pb2', _globals)
if not _descriptor._USE_C_DESCRIPTORS:
  _globals['DESCRIPTOR']._loaded_options = None
  _globals['DESCRIPTOR']._serialized_options = b'Z\006./main'
  _globals['_PINGPING']._serialized_start=56
  _globals['_PINGPING']._serialized_end=99
  _globals['_PONGPONG']._serialized_start=101
  _globals['_PONGPONG']._serialized_end=144
  _globals['_WORKFLOWTESTPING']._serialized_start=146
  _globals['_WORKFLOWTESTPING']._serialized_end=256
# @@protoc_insertion_point(module_scope)
